commit:     adcae807aa65b5d6baa9b2b9bfcf11f962dacc73
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  6 03:28:16 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Feb  6 03:28:16 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adcae807

dev-python/cryptography: Bump to version 1.7.2

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-python/cryptography/Manifest                  |  1 +
 dev-python/cryptography/cryptography-1.7.2.ebuild | 51 +++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index ad9f521..f5b0667 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -2,3 +2,4 @@ DIST cryptography-1.3.1.tar.gz 383852 SHA256 
b4b36175e0f95ddc88435c26dbe3397edce
 DIST cryptography-1.3.4.tar.gz 384109 SHA256 
423ff890c01be7c70dbfeaa967eeef5146f1a43a5f810ffdc07b178e48a105a9 SHA512 
abbc027433658702d2331282c9f63d99ea2eb42f5cdfe066b2b0ae6d9b86a35e23891716bb2e9e2ca707aa0d38fb69cba22ec5d95d2b9073047444fdae7a9224
 WHIRLPOOL 
5bd007cfe304620a7237b0f63fbe87ab22bd1cc252941f4815398382122b1c56c5a22e2dc35ce86aba2c2b2d9403de3313bafde23a3695bd26e4eb0f23c9dea9
 DIST cryptography-1.5.2.tar.gz 400673 SHA256 
eb8875736734e8e870b09be43b17f40472dc189b1c422a952fa8580768204832 SHA512 
7f50edfe7a7270a7acef52b7c55a32eca1845c5e410f078c42690a2e18fce001ed5dfd268fb18a2219011eff073914f1e2271d8e957c58b5200615a815a4b4c0
 WHIRLPOOL 
2625cbe43d7b0ce41cfcb4a1a9f8127b5933abe86bf30151cfd0b2dc8de0aeea01dc19649528474989ec0121c8b6e6e2e9c8fe72a60e1f2eb10536d7042ea272
 DIST cryptography-1.7.1.tar.gz 420673 SHA256 
953fef7d40a49a795f4d955c5ce4338abcec5dea822ed0414ed30348303fdb4c SHA512 
fb88b0ee9e314526fcdbb6d35da409b7335c7408a69d2350c58379471d2b9d76021010955629cf776d26312f22d4f8aa3f135955a19dfbff9d602176c9bbfd40
 WHIRLPOOL 
24b705889b95b568000600662ec82e3f5571582525db3571f3285b99f985b0a21eefd14dccc577700bc082891f7d3c563ac78a8bfd8d810da3ff38914ae5a86d
+DIST cryptography-1.7.2.tar.gz 420867 SHA256 
878cb68b3da3d493ffd68f36db11c29deee623671d3287c3f8d685117ffda9a9 SHA512 
8ddd119385064e1f8288ff318ec16f500b5c125a3811ccb306aeb2664fac495fcdd3cb5a7cbacd10156505c9526b9cdbd66860b35bbcd2f9a6bb285dd6cba8c5
 WHIRLPOOL 
531265115a6573c54e2cf85a03f1ed0ebe033fd7818168a3bcda938458f9a32464d7de0c226f46a300635ee52e4995285889bb693bc56f77f816bc81d52bfc61

diff --git a/dev-python/cryptography/cryptography-1.7.2.ebuild 
b/dev-python/cryptography/cryptography-1.7.2.ebuild
new file mode 100644
index 00000000..b156293
--- /dev/null
+++ b/dev-python/cryptography/cryptography-1.7.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy{,3} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ 
https://pypi.python.org/pypi/cryptography/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="libressl test"
+
+RDEPEND="
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl )
+       $(python_gen_cond_dep '>=dev-python/cffi-1.4.1:=[${PYTHON_USEDEP}]' 
'python*')
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 
python3_3 pypy{,3})
+       >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.8[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=virtual/pypy-2.6.0' pypy )
+       virtual/python-ipaddress[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       >=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
+       test? (
+               ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/iso8601[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.9.0[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+       )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+       distutils_install_for_testing
+
+       py.test -v -v -x || die "Tests fail with ${EPYTHON}"
+}

Reply via email to